/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';
@import 'css/_general_styling.scss';

.progressBar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  column-gap: 0.625rem;

  &__text {
    width: 2.5rem;
    @include primary-text(0.75rem, $coa-dark-gray-100, 400);
  }

  &__bar {
    background-color: var(--backgroundBarColor, white);
    height: 0.6875rem;
    -webkit-border-radius: 17px;
    -moz-border-radius: 17px;
    -ms-border-radius: 17px;
    -o-border-radius: 17px;
    border-radius: 17px;
    flex-grow: 1;
    overflow: hidden;
    &__fill {
      display: block;
      height: 100%;
      background: $coa-progress-bar-fill-background;
      width: var(--currentPercentage, 0%);
      transition: width 500ms ease-in-out;
      border-radius: 17px;
    }
  }
}
